{
  "name": "xuexiaole-mobile",
  "version": "0.1.0",
  "scripts": {
    "dev": "uni --mode dev",
    "dev:h5": "uni --mode dev",
    "dev:mp": "uni --mode mp",
    "dev:app": "uni -p app",
    "dev:app-android": "uni -p app-android",
    "dev:app-ios": "uni -p app-ios",
    "dev:custom": "uni -p",
    "dev:h5:ssr": "uni --ssr",
    "dev:mp-alipay": "uni -p mp-alipay",
    "dev:mp-baidu": "uni -p mp-baidu",
    "dev:mp-jd": "uni -p mp-jd",
    "dev:mp-kuaishou": "uni -p mp-kuaishou",
    "dev:mp-lark": "uni -p mp-lark",
    "dev:mp-qq": "uni -p mp-qq",
    "dev:mp-toutiao": "uni -p mp-toutiao",
    "dev:mp-weixin": "uni -p mp-weixin",
    "dev:quickapp-webview": "uni -p quickapp-webview",
    "dev:quickapp-webview-huawei": "uni -p quickapp-webview-huawei",
    "dev:quickapp-webview-union": "uni -p quickapp-webview-union",
    "build:app": "uni build -p app",
    "build:app-android": "uni build -p app-android",
    "build:app-ios": "uni build -p app-ios",
    "build:custom": "uni build -p",
    "build:h5": "uni build -p h5-prod",
    "build-test:h5": "uni build -p h5-test",
    "build:h5:ssr": "uni build --ssr",
    "build:mp-alipay": "uni build -p mp-alipay",
    "build:mp-baidu": "uni build -p mp-baidu",
    "build:mp-jd": "uni build -p mp-jd",
    "build:mp-kuaishou": "uni build -p mp-kuaishou",
    "build:mp-lark": "uni build -p mp-lark",
    "build:mp-qq": "uni build -p mp-qq",
    "build:mp-toutiao": "uni build -p mp-toutiao",
    "build:mp-weixin": "uni build -p mp-weixin",
    "build:quickapp-webview": "uni build -p quickapp-webview",
    "build:quickapp-webview-huawei": "uni build -p quickapp-webview-huawei",
    "build:quickapp-webview-union": "uni build -p quickapp-webview-union",
    "type-check": "vue-tsc --noEmit",
    "prepare": "husky install",
    "lint": "eslint --fix",
    "lint-staged": "lint-staged"
  },
  "dependencies": {
    "@dcloudio/uni-app": "3.0.0-3081220230817001",
    "@dcloudio/uni-app-plus": "3.0.0-3081220230817001",
    "@dcloudio/uni-components": "3.0.0-3081220230817001",
    "@dcloudio/uni-h5": "3.0.0-3081220230817001",
    "@dcloudio/uni-mp-alipay": "3.0.0-3081220230817001",
    "@dcloudio/uni-mp-baidu": "3.0.0-3081220230817001",
    "@dcloudio/uni-mp-jd": "3.0.0-3081220230817001",
    "@dcloudio/uni-mp-kuaishou": "3.0.0-3081220230817001",
    "@dcloudio/uni-mp-lark": "3.0.0-3081220230817001",
    "@dcloudio/uni-mp-qq": "3.0.0-3081220230817001",
    "@dcloudio/uni-mp-toutiao": "3.0.0-3081220230817001",
    "@dcloudio/uni-mp-weixin": "3.0.0-3081220230817001",
    "@dcloudio/uni-quickapp-webview": "3.0.0-3081220230817001",
    "@vueuse/core": "^10.11.0",
    "code-inspector-plugin": "^0.10.1",
    "dayjs": "^1.11.13",
    "echarts": "^5.5.1",
    "lint-staged": "^15.0.1",
    "lodash": "4.17.21",
    "pinia": "^2.0.36",
    "qs": "^6.14.0",
    "sass": "^1.72.0",
    "unplugin-vue-define-options": "^1.4.2",
    "vue": "^3.3.4",
    "vue-i18n": "^9.1.9",
    "vue-qrcode-reader": "^5.5.7",
    "weixin-js-sdk": "^1.6.5"
  },
  "devDependencies": {
    "@babel/core": "^7.23.2",
    "@babel/eslint-parser": "^7.22.15",
    "@commitlint/cli": "^17.8.0",
    "@commitlint/config-conventional": "^17.8.0",
    "@dcloudio/types": "^3.3.2",
    "@dcloudio/uni-automator": "3.0.0-3081220230817001",
    "@dcloudio/uni-cli-shared": "3.0.0-3081220230817001",
    "@dcloudio/uni-stacktracey": "3.0.0-3081220230817001",
    "@dcloudio/vite-plugin-uni": "3.0.0-3081220230817001",
    "@types/lodash": "4.17.16",
    "@typescript-eslint/eslint-plugin": "^6.8.0",
    "@typescript-eslint/parser": "^6.8.0",
    "@vue/runtime-core": "^3.4.21",
    "@vue/tsconfig": "^0.1.3",
    "eslint": "^8.51.0",
    "eslint-config-alloy": "^5.1.2",
    "eslint-plugin-import": "^2.28.1",
    "eslint-plugin-vue": "^9.17.0",
    "husky": "^8.0.0",
    "prettier": "^3.0.3",
    "typescript": "^4.9.5",
    "vite": "4.1.4",
    "vue-eslint-parser": "^9.3.2",
    "vue-tsc": "^1.0.24"
  },
  "lint-staged": {
    "*.{json,md,css,less}": [
      "prettier --write"
    ],
    "*.{js,ts,jsx,tsx,vue}": [
      "prettier --write",
      "eslint --fix"
    ]
  },
  "uni-app": {
    "scripts": {
      "h5-test": {
        "title": "h5-test",
        "env": {
          "UNI_PLATFORM": "h5",
          "VITE_HOST": "http://127.0.0.1:9053",
          "VITE_WS_URL": "wss://test.pi.xuexiaole.com/ws/device"
        }
      },
      "h5-prod": {
        "title": "h5-prod",
        "env": {
          "UNI_PLATFORM": "h5",
          "VITE_HOST": "https://pi.xuexiaole.com",
          "VITE_WS_URL": "wss://pi.xuexiaole.com/ws/device"
        }
      }
    }
  }
}
